Precise ubiquity crashed after upgrading to 2.10.29

Bug #1272272 reported by Erick Brunzell on 2014-01-24
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
python-apt (Ubuntu)
Undecided
Unassigned
Precise
Medium
Unassigned
Trusty
Undecided
Unassigned
ubiquity (Ubuntu)
High
Unassigned
Precise
High
Unassigned
Trusty
High
Unassigned

Bug Description

I was following up on bug #947107 using the Ubuntu Precise 20140123 i386 image and I upgraded ubiquity:

Start-Date: 2014-01-24 10:14:56
Commandline: apt-get install ubiquity
Install: libkcmutils4:i386 (4.8.5-0ubuntu0.2, automatic), libnepomukdatamanagement4:i386 (4.8.5-0ubuntu0.2, automatic), qapt-batch:i386 (1.3.1-0ubuntu2, automatic), libclucene0ldbl:i386 (0.9.21b-2, automatic), kubuntu-debug-installer:i386 (11.10ubuntu1, automatic), libkactivities6:i386 (4.8.5-0ubuntu0.1, automatic), libqca2:i386 (2.0.3-2, automatic), libhttp-daemon-perl:i386 (6.00-1, automatic), libfile-listing-perl:i386 (6.03-1, automatic), libwww-robotrules-perl:i386 (6.01-1, automatic), ubiquity-frontend-kde:i386 (2.10.29, automatic), libilmbase6:i386 (1.0.1-3build2, automatic), libkdeclarative5:i386 (4.8.5-0ubuntu0.2, automatic), libnet-ssleay-perl:i386 (1.42-1build1, automatic), liburi-perl:i386 (1.59-1, automatic), libkjsembed4:i386 (4.8.5-0ubuntu0.2, automatic), oxygen-icon-theme:i386 (4.8.3-0ubuntu0.1, automatic), libqt4-test:i386 (4.8.1-0ubuntu4.6, automatic), libhttp-date-perl:i386 (6.00-1, automatic), libkemoticons4:i386 (4.8.5-0ubuntu0.2, automatic), libkephal4abi1:i386 (4.8.5-0ubuntu0.3, automatic), libkdecore5:i386 (4.8.5-0ubuntu0.2, automatic), phonon:i386 (4.7.0really4.6.0-0ubuntu1, automatic), liblwp-mediatypes-perl:i386 (6.01-1, automatic), libfont-afm-perl:i386 (1.20-1, automatic), libkidletime4:i386 (4.8.5-0ubuntu0.2, automatic), docbook-xml:i386 (4.5-7ubuntu1, automatic), libmailtools-perl:i386 (2.08-1, automatic), libqt4-qt3support:i386 (4.8.1-0ubuntu4.6, automatic), libqtwebkit4:i386 (2.2.1-1ubuntu4, automatic), docbook-xsl:i386 (1.76.1+dfsg-1ubuntu1, automatic), libsocket6-perl:i386 (0.23-1build2, automatic), libhtml-parser-perl:i386 (3.69-1build1, automatic), shared-desktop-ontologies:i386 (0.8.1-1, automatic), libdlrestrictions1:i386 (0.14.2ubuntu5, automatic), odbcinst:i386 (2.2.14p2-5ubuntu3, automatic), libntrack-qt4-1:i386 (016-1ubuntu1, automatic), kde-runtime-data:i386 (4.8.5-0ubuntu0.2, automatic), libkatepartinterfaces4:i386 (4.8.5-0ubuntu0.1, automatic), libsolid4:i386 (4.8.5-0ubuntu0.2, automatic), virtuoso-minimal:i386 (6.1.4+dfsg1-0ubuntu1, automatic), libkde3support4:i386 (4.8.5-0ubuntu0.2, automatic), libnepomuk4:i386 (4.8.5-0ubuntu0.2, automatic), libkdewebkit5:i386 (4.8.5-0ubuntu0.2, automatic), libsoprano4:i386 (2.7.5+dfsg.1-0ubuntu1, automatic), libpolkit-qt-1-1:i386 (0.103.0-1, automatic), libqt4-help:i386 (4.8.1-0ubuntu4.6, automatic), libkdnssd4:i386 (4.8.5-0ubuntu0.2, automatic), libkparts4:i386 (4.8.5-0ubuntu0.2, automatic), python-qt4:i386 (4.9.1-2ubuntu1, automatic), kde-window-manager-common:i386 (4.8.5-0ubuntu0.3, automatic), libqapt1:i386 (1.3.1-0ubuntu2, automatic), libkwinnvidiahack4:i386 (4.8.5-0ubuntu0.3, automatic), python-sip:i386 (4.13.2-1, automatic), kdelibs5-data:i386 (4.8.5-0ubuntu0.2, automatic), kdoctools:i386 (4.8.5-0ubuntu0.2, automatic), libkdecorations4:i386 (4.8.5-0ubuntu0.3, automatic), libkwinglutils1:i386 (4.8.5-0ubuntu0.3, automatic), libvirtodbc0:i386 (6.1.4+dfsg1-0ubuntu1, automatic), odbcinst1debian2:i386 (2.2.14p2-5ubuntu3, automatic), libqtassistantclient4:i386 (4.6.3-3ubuntu2, automatic), liblwp-protocol-https-perl:i386 (6.02-1, automatic), libgif4:i386 (4.1.6-9ubuntu1, automatic), libkactivities-bin:i386 (4.8.5-0ubuntu0.1, automatic), libopenexr6:i386 (1.6.1-4.1, automatic), icoutils:i386 (0.29.1-2, automatic), katepart:i386 (4.8.5-0ubuntu0.1, automatic), libkworkspace4abi1:i386 (4.8.5-0ubuntu0.3, automatic), libthreadweaver4:i386 (4.8.5-0ubuntu0.2, automatic), libnepomukutils4:i386 (4.8.5-0ubuntu0.2, automatic), libio-socket-inet6-perl:i386 (2.69-2, automatic), libkmediaplayer4:i386 (4.8.5-0ubuntu0.2, automatic), libntrack0:i386 (016-1ubuntu1, automatic), libkfile4:i386 (4.8.5-0ubuntu0.2, automatic), libknewstuff3-4:i386 (4.8.5-0ubuntu0.2, automatic), libqapt-runtime:i386 (1.3.1-0ubuntu2, automatic), phonon-backend-gstreamer:i386 (4.7.0really4.6.2-0ubuntu0.1, automatic), libkpty4:i386 (4.8.5-0ubuntu0.2, automatic), kde-style-oxygen:i386 (4.8.5-0ubuntu0.3, automatic), libnepomuksync4:i386 (4.8.5-0ubuntu0.2, automatic), libtimedate-perl:i386 (1.2000-1, automatic), libstreamanalyzer0:i386 (0.7.7-1.1ubuntu3, automatic), libphonon4:i386 (4.7.0really4.6.0-0ubuntu1, automatic), libknotifyconfig4:i386 (4.8.5-0ubuntu0.2, automatic), libxss1:i386 (1.2.1-2, automatic), libkntlm4:i386 (4.8.5-0ubuntu0.2, automatic), libplasma3:i386 (4.8.5-0ubuntu0.2, automatic), libhtml-form-perl:i386 (6.00-1, automatic), libqt4-designer:i386 (4.8.1-0ubuntu4.6, automatic), libhttp-negotiate-perl:i386 (6.00-2, automatic), kdelibs-bin:i386 (4.8.5-0ubuntu0.2, automatic), libhtml-format-perl:i386 (2.10-1, automatic), libencode-locale-perl:i386 (1.02-2, automatic), libktexteditor4:i386 (4.8.5-0ubuntu0.2, automatic), kde-runtime:i386 (4.8.5-0ubuntu0.2, automatic), sgml-data:i386 (2.0.6, automatic), libkio5:i386 (4.8.5-0ubuntu0.2, automatic), libkjsapi4:i386 (4.8.5-0ubuntu0.2, automatic), libstreams0:i386 (0.7.7-1.1ubuntu3, automatic), libhtml-tree-perl:i386 (4.2-1, automatic), libxml2-utils:i386 (2.7.8.dfsg-5.1ubuntu4.6, automatic), libattica0.3:i386 (0.3.0-0ubuntu2, automatic), libio-socket-ssl-perl:i386 (1.53-1, automatic), libwww-perl:i386 (6.03-1, automatic), virtuoso-opensource-6.1-common:i386 (6.1.4+dfsg1-0ubuntu1, automatic), plasma-scriptengine-javascript:i386 (4.8.5-0ubuntu0.2, automatic), libhttp-cookies-perl:i386 (6.00-2, automatic), libqt4-scripttools:i386 (4.8.1-0ubuntu4.6, automatic), libhttp-message-perl:i386 (6.01-1, automatic), soprano-daemon:i386 (2.7.5+dfsg.1-0ubuntu1, automatic), libhtml-tagset-perl:i386 (3.20-2, automatic), kde-window-manager:i386 (4.8.5-0ubuntu0.3, automatic), libkhtml5:i386 (4.8.5-0ubuntu0.2, automatic), libkdeui5:i386 (4.8.5-0ubuntu0.2, automatic), libkdesu5:i386 (4.8.5-0ubuntu0.2, automatic), libnet-http-perl:i386 (6.02-1, automatic), kdelibs5-plugins:i386 (4.8.5-0ubuntu0.2, automatic), virtuoso-opensource-6.1-bin:i386 (6.1.4+dfsg1-0ubuntu1, automatic), kate-data:i386 (4.8.5-0ubuntu0.1, automatic), ntrack-module-libnl-0:i386 (016-1ubuntu1, automatic), libkrosscore4:i386 (4.8.5-0ubuntu0.2, automatic), libnepomukquery4a:i386 (4.8.5-0ubuntu0.2, automatic), libkwineffects1abi3:i386 (4.8.5-0ubuntu0.3, automatic)
Upgrade: ubiquity-frontend-gtk:i386 (2.10.28, 2.10.29), ubiquity:i386 (2.10.28, 2.10.29), ubiquity-ubuntu-artwork:i386 (2.10.28, 2.10.29)
End-Date: 2014-01-24 10:17:08

Then I got this crash report during installation :^(

I'm attaching a screenshot of what partitioning looked like.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: ubiquity 2.10.29
ProcVersionSignature: Ubuntu 3.11.0-15.23~precise1-generic 3.11.10
Uname: Linux 3.11.0-15-generic i686
ApportVersion: 2.0.1-0ubuntu17.6
Architecture: i386
CasperVersion: 1.315.1
Date: Fri Jan 24 04:48:29 2014
InstallCmdLine: file=/cdrom/preseed/ubuntu.seed boot=casper initrd=/casper/initrd.lz quiet splash -- maybe-ubiquity
LiveMediaBuild: Ubuntu 12.04.4 LTS "Precise Pangolin" - Release i386 (20140123)
MarkForUpload: True
ProcEnviron:
 TERM=unknown
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: ubiquity
UpgradeStatus: No upgrade log present (probably fresh install)

Erick Brunzell (lbsolost) wrote :
Dimitri John Ledkov (xnox) wrote :

Jan 24 10:46:27 ubuntu plugininstall.py: Exception during installation:
Jan 24 10:46:27 ubuntu plugininstall.py: Traceback (most recent call last):
Jan 24 10:46:27 ubuntu plugininstall.py: File "/usr/share/ubiquity/plugininstall.py", line 1730, in <module>
Jan 24 10:46:27 ubuntu plugininstall.py: install.run()
Jan 24 10:46:27 ubuntu plugininstall.py: File "/usr/share/ubiquity/plugininstall.py", line 55, in wrapper
Jan 24 10:46:27 ubuntu plugininstall.py: func(self)
Jan 24 10:46:27 ubuntu plugininstall.py: File "/usr/share/ubiquity/plugininstall.py", line 174, in run
Jan 24 10:46:27 ubuntu plugininstall.py: self.install_language_packs()
Jan 24 10:46:27 ubuntu plugininstall.py: File "/usr/share/ubiquity/plugininstall.py", line 664, in install_language_packs
Jan 24 10:46:27 ubuntu plugininstall.py: self.do_install(self.langpacks, langpacks=True)
Jan 24 10:46:27 ubuntu plugininstall.py: File "/usr/lib/ubiquity/ubiquity/install_misc.py", line 856, in do_install
Jan 24 10:46:27 ubuntu plugininstall.py: with Cache() as cache:
Jan 24 10:46:27 ubuntu plugininstall.py: AttributeError: __exit__
Jan 24 10:46:27 ubuntu plugininstall.py:

Does Cache() object have __exit__ available in precise?

Changed in ubiquity (Ubuntu):
status: New → Confirmed
Dimitri John Ledkov (xnox) wrote :

In precise:
# python
Python 2.7.3 (default, Sep 26 2013, 20:03:06)
[GCC 4.6.3] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> from apt.cache import Cache
>>> with Cache() as c:
... print "Hi"
...
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
AttributeError: __exit__

Changed in ubiquity (Ubuntu):
importance: Undecided → High
Changed in ubiquity (Ubuntu Precise):
status: New → Confirmed
importance: Undecided → High
Changed in ubiquity (Ubuntu Trusty):
status: Confirmed → Invalid
Erick Brunzell (lbsolost) wrote :

Please see this comment:

https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/947107/comments/30

My memory is not good by any means but is it normal for "change partition" to default to "do not use"?

I've never really paid attention that much :^/

Dimitri John Ledkov (xnox) wrote :
Changed in python-apt (Ubuntu Trusty):
status: New → Invalid
Changed in python-apt (Ubuntu Precise):
status: New → Confirmed
importance: Undecided → Medium
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers